#include <windows.h>
#include <HSMMCDRV.h>



BOOL BootDeviceInit()
{
#if 1
    int bRet= TRUE;
    while(!SDHC_INIT())
    {
    }
    return bRet;
#else
    volatile S3C6410_NAND_REG *pNANDReg;
	pNANDReg = (S3C6410_NAND_REG *)OALPAtoVA(S3C6410_BASE_REG_PA_NFCON, FALSE);

	pNANDReg->NFCONF = (NAND_TACLS<<12) | (NAND_TWRPH0<<8) | (NAND_TWRPH1<<4);
	pNANDReg->NFCONT = (0<<17)|(0<<16)|(0<<10)|(0<<9)|(0<<8)|(1<<7)|(1<<6)|(1<<5)|(1<<4)|(0x3<<1)|(1<<0);
	pNANDReg->NFSTAT = (1<<4);
    return TRUE;

#endif    
}



